
function CreateGrants()

	CreateBootstrapGrants();
	CreateFirstCellBlockGrant();
	CreateHealthGrant();
	-- More grants mod(By Adico and LDShadowLord):
	CreateBookWromsInmatesGrant();
	CreateFamilyMatters();
	CreateExercice();
	CreateWaterLand();
	CreateSmallPrison();
	CreateMediumPrison();
	CreateLargePrison();
	CreateGiantPrison();
	CreateCustomGrants();
end

function CreateCustomGrants()
	-- Custom Grants
	CreateCustomGrant_Clean();
	CreateCustomGrant_Security();
	CreateCustomGrant_Adv_Kitchen();
	CreateCustomGrant_Adv_Admin();
	CreateCustomGrant_Block_B();
	CreateCustomGrant_Block_C();
	CreateCustomGrant_Block_D();
	CreateCustomGrant_Block_E();
	CreateCustomGrant_Block_F();
	CreateCustomGrant_Block_G();
	CreateCustomGrant_Nature();
end

function New_Grants()

Objective.CreateGrant			( "Grant_Deathrow", 10000, 0 )
		
	Objective.CreateGrant			( "Grant_Deathrow_Room", 0, 0 )
	Objective.SetParent				( "Grant_Deathrow" )	
	Objective.RequireRoom			( "Execution", true )

end

function CreateBootstrapGrants()

	-- Basic Detention Centre
	
	Objective.CreateGrant			( "Grant_bootstraps", 40000, 0 )
	
	Objective.CreateGrant			( "Grant_bootstraps_holdingcell", 0, 0 )	
	Objective.SetParent				( "Grant_bootstraps" )
	Objective.RequireRoom			( "HoldingCell", true )
	
	Objective.CreateGrant			( "Grant_bootstraps_shower", 0, 0 )	
	Objective.SetParent				( "Grant_bootstraps" )
	Objective.RequireRoom			( "Shower", true )
	
	Objective.CreateGrant			( "Grant_bootstraps_yard", 0, 0 )
	Objective.SetParent				( "Grant_bootstraps" )
	Objective.RequireRoom			( "Yard", true )

	Objective.CreateGrant			( "Grant_bootstraps_kitchen", 0, 0 )
	Objective.SetParent				( "Grant_bootstraps" )
	Objective.RequireRoom			( "Kitchen", true )
	
	Objective.CreateGrant			( "Grant_bootstraps_canteen", 0, 0 )
	Objective.SetParent				( "Grant_bootstraps" )
	Objective.RequireRoom			( "Canteen", true )

	Objective.CreateGrant			( "Grant_bootstraps_guard", 0, 0 )
	Objective.SetParent				( "Grant_bootstraps" )
	Objective.RequireObjects		( "Guard", 2 )

	Objective.CreateGrant			( "Grant_bootstraps_chef", 0, 0 )
	Objective.SetParent				( "Grant_bootstraps" )
	Objective.RequireObjects		( "Cook", 2 )

	
	-- Basic Administrative set up
	
	Objective.CreateGrant			( "Grant_Administration", 10000, 0 )
	
	Objective.CreateGrant			( "Grant_Administration_offices", 0, 0 )
	Objective.SetParent				( "Grant_Administration" )
	Objective.RequireRoomsAvailable	( "Office", 2 )
	
	Objective.CreateGrant			( "Grant_Administration_Warden", 0, 0 )
	Objective.SetParent				( "Grant_Administration" )
	Objective.RequireObjects		( "Warden", 1 )
	
	Objective.CreateGrant			( "Grant_Administration_Accountant_Research", 0, 0 )
	Objective.SetParent				( "Grant_Administration" )
	Objective.RequireResearched		( "Finance" )
	
	Objective.CreateGrant			( "Grant_Administration_Accountant", 0, 0 )
	Objective.SetParent				( "Grant_Administration" )
	Objective.RequireObjects		( "Accountant", 1 )
	
end



function CreateFirstCellBlockGrant()

	Objective.CreateGrant			( "Grant_FirstCellBlock", 20000, 10000 )
		
	Objective.CreateGrant			( "Grant_FirstCellBlock_Cells", 0, 0 )
	Objective.SetParent				( "Grant_FirstCellBlock" )	
	Objective.RequireRoomsAvailable	( "Cell", 15 )
	
end




function CreateHealthGrant()

	Objective.CreateGrant			( "Grant_Health", 10000, 10000 )
	
	Objective.CreateGrant			( "Grant_Health_Ward", 0, 0 )
	Objective.SetParent				( "Grant_Health" )
	Objective.RequireRoom			( "MedicalWard", true )
	
	Objective.CreateGrant			( "Grant_Health_Doctors", 0, 0 )
	Objective.RequireObjects		( "Doctor", 2 )
	Objective.SetParent				( "Grant_Health" )
	
	Objective.CreateGrant			( "Grant_Health_Psychologist", 0, 0 )
	Objective.RequireObjects		( "Psychologist", 1 )
	Objective.SetParent				( "Grant_Health" )
	
end

-- Custom Grants
function CreateCustomGrant_Clean()
	-- Clean up your Prison
	Objective.CreateGrant			( "Grant_Clean", 5000, 10000 )
	
	Objective.CreateGrant			( "Grant_Clean_Accountant", 0, 0 )
	Objective.SetParent				( "Grant_Clean" )	
	Objective.RequireObjects		( "Accountant", 1 )
	
	Objective.CreateGrant			( "Grant_Clean_Janitor", 0, 0 )
	Objective.SetParent				( "Grant_Clean" )	
	Objective.RequireObjects		( "Janitor", 3 )
	
	Objective.CreateGrant			( "Grant_Clean_Gardener", 0, 0 )
	Objective.SetParent				( "Grant_Clean" )	
	Objective.RequireObjects		( "Gardener", 3 )
end
	
function CreateCustomGrant_Security()
	-- Enhance your security
	Objective.CreateGrant			( "Grant_Security", 15000, 5000 )
	
	Objective.CreateGrant			( "Grant_Security_Accountant", 0, 0 )
	Objective.SetParent				( "Grant_Security" )	
	Objective.RequireObjects		( "Accountant", 1 )
	
	Objective.CreateGrant			( "Grant_Security_Cctv", 0, 0 )
	Objective.SetParent				( "Grant_Security" )	
	Objective.RequireObjects		( "Cctv", 5 )
	
	Objective.CreateGrant			( "Grant_Security_MetalDetector", 0, 0 )
	Objective.SetParent				( "Grant_Security" )	
	Objective.RequireObjects		( "MetalDetector", 4 )
	
	Objective.CreateGrant			( "Grant_Security_Guards", 0, 0 )
	Objective.SetParent				( "Grant_Security" )	
	Objective.RequireObjects		( "Guard", 8 )
end

function CreateCustomGrant_Adv_Kitchen()
	-- Contract: Expand your Kitchen
	Objective.CreateGrant			( "Grant_Advanced_Kitchen", 0, 10000 )
	
	Objective.CreateGrant			( "Grant_Advanced_Kitchen_Accountant", 0, 0 )
	Objective.SetParent				( "Grant_Advanced_Kitchen" )	
	Objective.RequireObjects		( "Accountant", 1 )
	
	Objective.CreateGrant			( "Grant_Advanced_Kitchen_Cooker", 0, 0 )
	Objective.SetParent				( "Grant_Advanced_Kitchen" )	
	Objective.RequireObjects		( "Cooker", 4 )
	
	Objective.CreateGrant			( "Grant_Advanced_Kitchen_Fridge", 0, 0 )
	Objective.SetParent				( "Grant_Advanced_Kitchen" )	
	Objective.RequireObjects		( "Fridge", 8 )
	
	Objective.CreateGrant			( "Grant_Advanced_Kitchen_Cook", 0, 0 )
	Objective.SetParent				( "Grant_Advanced_Kitchen" )	
	Objective.RequireObjects		( "Cook", 6 )
end

function CreateCustomGrant_Block_B()
	-- Contract: Cell Block B
	Objective.CreateGrant			( "grant_cellblock_b", 35000, 15000 )
	
	Objective.CreateGrant			( "grant_cellblock_b_cells", 0, 0 )
	Objective.SetParent				( "grant_cellblock_b" )	
	Objective.RequireRoomsAvailable	( "Cell", 30 )
end
	
function CreateCustomGrant_Block_C()
	-- Contract: Cell Block C
	Objective.CreateGrant			( "grant_cellblock_c", 50000, 20000 )
	
	Objective.CreateGrant			( "grant_cellblock_c_cells", 0, 0 )
	Objective.SetParent				( "grant_cellblock_c" )	
	Objective.RequireRoomsAvailable	( "Cell", 45 )
end
	
function CreateCustomGrant_Block_D()
	-- Contract: Cell Block D
	Objective.CreateGrant			( "grant_cellblock_d", 65000, 25000 )
	
	Objective.CreateGrant			( "grant_cellblock_d_cells", 0, 0 )
	Objective.SetParent				( "grant_cellblock_d" )	
	Objective.RequireRoomsAvailable	( "Cell", 60 )
end

function CreateCustomGrant_Block_E()
	-- Contract: Cell Block E
	Objective.CreateGrant			( "grant_cellblock_e", 80000, 30000 )
	
	Objective.CreateGrant			( "grant_cellblock_e_cells", 0, 0 )
	Objective.SetParent				( "grant_cellblock_e" )	
	Objective.RequireRoomsAvailable	( "Cell", 75 )
end
	
function CreateCustomGrant_Block_F()
	-- Contract: Cell Block F
	Objective.CreateGrant			( "grant_cellblock_f", 100000, 35000 )
	
	Objective.CreateGrant			( "grant_cellblock_f_cells", 0, 0 )
	Objective.SetParent				( "grant_cellblock_f" )	
	Objective.RequireRoomsAvailable	( "Cell", 100 )
end
	
function CreateCustomGrant_Block_G()
	-- Contract: Cell Block G
	Objective.CreateGrant			( "grant_cellblock_g", 200000, 40000 )
	
	Objective.CreateGrant			( "grant_cellblock_g_cells", 0, 0 )
	Objective.SetParent				( "grant_cellblock_g" )	
	Objective.RequireRoomsAvailable	( "Cell", 200 )
end

function CreateCustomGrant_Adv_Admin()
	-- Expand your Administration Team
	Objective.CreateGrant			( "grant_advanced_administration", 20000, 0 )
	
	Objective.CreateGrant			( "grant_advanced_administration_offices", 0, 0 )
	Objective.SetParent				( "grant_advanced_administration" )
	Objective.RequireRoomsAvailable	( "Office", 4 )
	
	Objective.CreateGrant			( "grant_advanced_administration_warden", 0, 0 )
	Objective.SetParent				( "grant_advanced_administration" )
	Objective.RequireObjects		( "Warden", 1 )
	
	Objective.CreateGrant			( "grant_advanced_administration_accountant", 0, 0 )
	Objective.SetParent				( "grant_advanced_administration" )
	Objective.RequireObjects		( "Accountant", 1 )
	
	Objective.CreateGrant			( "grant_advanced_administration_security", 0, 0 )
	Objective.SetParent				( "grant_advanced_administration" )
	Objective.RequireObjects		( "Chief", 1 )
	
	Objective.CreateGrant			( "grant_advanced_administration_lawyer", 0, 0 )
	Objective.SetParent				( "grant_advanced_administration" )
	Objective.RequireObjects		( "Lawyer", 1 )
end

function CreateCustomGrant_Nature()
	-- Contract: Add some Nature to your Prison
	Objective.CreateGrant			( "grant_nature", 5000, 10000 )
	
	Objective.CreateGrant			( "grant_nature_trees", 0, 0 )
	Objective.SetParent				( "grant_nature" )
	Objective.RequireObjects		( "Tree", 30 )
	
	Objective.CreateGrant			( "grant_nature_yards", 0, 0 )
	Objective.SetParent				( "grant_nature" )
	Objective.RequireRoomsAvailable		( "Yard", 3 )
	
end

--Added by Adico:

function CreateBookWromsInmatesGrant()


	Objective.CreateGrant			( "Grant_Book_Worms_Inmates", 2000, 1000 )

	Objective.CreateGrant			( "Grant_Book_Worms_Inmates_Commonroom", 0, 700 )
	Objective.SetParent				( "Grant_Book_Worms_Inmates" )
	Objective.RequireRoom			( "CommonRoom", true )
	
	Objective.CreateGrant			( "Grant_Book_Worms_Inmates_Books", 0, 0 )
	Objective.RequireObjects		( "Bookshelf", 3 )
	Objective.SetParent				( "Grant_Book_Worms_Inmates" )
	
	Objective.CreateGrant			( "Grant_Book_Worms_Inmates_Chairs", 0, 0 )
	Objective.RequireObjects		( "Chair", 2 )
	Objective.SetParent				( "Grant_Book_Worms_Inmates" )

end

function CreateFamilyMatters()

	Objective.CreateGrant			( "Grant_Family_Matters", 10000, 0 )
	
	Objective.CreateGrant			( "Grant_Family_Matters_Phones", 0, 0 )
	Objective.RequireObjects		( "PhoneBooth", 5 )
	Objective.SetParent				( "Grant_Family_Matters" )
	
end

-- Did u read all of this stuff! WOW! hope you have fun hehe... (Adico)
function CreateExercice()

	Objective.CreateGrant			( "Grant_Exercice", 500, 500 )
	
	Objective.CreateGrant			( "Grant_Exercice_1", 0, 500 )
	Objective.SetParent				( "Grant_Exercice" )
	Objective.RequireResearched		( "Maintainance" ) 
	
	Objective.CreateGrant			( "Grant_Exercice_2", 0, 500 )
	Objective.SetParent				( "Grant_Exercice" )
	Objective.RequireResearched		( "GroundsKeeping" ) 
	
	Objective.CreateGrant			( "Grant_Exercice_Benchs", 0, 200 )
	Objective.RequireObjects		( "WeightsBench", 4 )
	Objective.SetParent				( "Grant_Exercice" )
	
end

function CreateSmallPrison()

	Objective.CreateGrant			( "Grant_Small_Prison", 0, 20000 )
	
	Objective.CreateGrant			( "Grant_Small_Prison_Inmates", 0, 0 )
	Objective.RequireObjects		( "Prisoner", 20, "prisoner" )
	Objective.SetParent				( "Grant_Small_Prison" )
	
end
	
function CreateMediumPrison()

	Objective.CreateGrant			( "Grant_Medium_Prison", 0, 50000 )
	
	Objective.CreateGrant			( "Grant_Medium_Prison_Inmates", 0, 0 )
	Objective.RequireObjects		( "Prisoner", 50, "prisoner" )
	Objective.SetParent				( "Grant_Medium_Prison" )
	
end

function CreateLargePrison()

	Objective.CreateGrant			( "Grant_Large_Prison", 0, 100000 )
	
	Objective.CreateGrant			( "Grant_Large_Prison_Inmates", 0, 0 )
	Objective.RequireObjects		( "Prisoner", 100, "prisoner" )
	Objective.SetParent				( "Grant_Large_Prison" )
	
end

function CreateGiantPrison()

	Objective.CreateGrant			( "Grant_Giant_Prison", 0, 150000 )
	
	Objective.CreateGrant			( "Grant_Giant_Prison_Inmates", 0, 0 )
	Objective.RequireObjects		( "Prisoner", 200, "prisoner" )
	Objective.SetParent				( "Grant_Giant_Prison" )
	
end
--Added by LDshadowLord
function CreateWaterLand()

	Objective.CreateGrant			( "Water_Land", 2500, 1500 )
	
	Objective.CreateGrant			( "Water_land_pump", 0, 5000 )
	Objective.RequireObjects		( "WaterPumpStation", 2)
	Objective.SetParent				( "Water_Land" )
	
	Objective.CreateGrant			( "Water_land_drain", 0, 1000 )
	Objective.RequireObjects		( "Drain", 2)
	Objective.SetParent				( "Water_Land" )
	
	Objective.CreateGrant			( "Water_land_sh", 0, 500 )
	Objective.RequireObjects		( "Showerhead", 2)
	Objective.SetParent				( "Water_Land" )
	
	Objective.CreateGrant			( "Water_land_room", 0, 500 )
	Objective.SetParent				( "Water_Land" )
	Objective.RequireRoom			( "Shower", true)
	
end

